
def gravg(f, ifo):
    """Return estimate of newtonian noise contribribution to |h(f)|^2

    N = GRAVG(F, IFO) returns the gravity gradient (Newtonian) noise
    contribution in strain^2/Hz for four mirrors.
    """

    L = ifo.Infrastructure.Length       # Length of arm cavities [m]

    # fitting function of the GGN noise calculated by J. Harms
    #  (see CQG 29, 124007 (2012)).
    hGGN = 1.2e-16/f**4 #/L

    n = hGGN**2

    return n * ifo.gwinc.dhdl_sqr
